VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Namespaces | Functions
vsteventshelper.h File Reference
`#include "pluginterfaces/vst/ivstevents.h"`

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
namespace | Steinberg::Vst::Helpers

## Functions
template<class T>
T | boundTo (T minval, T maxval, T x)
| bound a value between a min and max
Event & | init (Event &event, uint16 type, int32 busIndex=0, int32 sampleOffset=0, TQuarterNotes ppqPosition=0, uint16 flags=0)
| Initialized a Event.
ParamValue | getMIDINormValue (uint8 value)
| Returns normalized value of a LegacyMIDICCOutEvent value [0, 127].
int8 | getMIDICCOutValue (ParamValue value)
| Returns LegacyMIDICCOut value [0, 127] from a normalized value [0., 1.
int16 | getPitchBendValue (const LegacyMIDICCOutEvent &e)
| Returns pitchbend value from a PitchBend LegacyMIDICCOut Event.
void | setPitchBendValue (LegacyMIDICCOutEvent &e, ParamValue value)
| set a normalized pitchbend value to a LegacyMIDICCOut Event
float | getNormPitchBendValue (const LegacyMIDICCOutEvent &e)
| Returns normalized pitchbend value from a PitchBend LegacyMIDICCOut Event.
LegacyMIDICCOutEvent & | initLegacyMIDICCOutEvent (Event &event, uint8 controlNumber, uint8 channel=0, int8 value=0, int8 value2=0)
| Initialized a LegacyMIDICCOutEvent.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.